%define upstream_name    Dist-Zilla-Plugin-SpellingCommonMistakesTests
%define upstream_version 1.001000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tests for common POD spelling mistakes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Spell::CommonMistakes)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod::Spelling::CommonMistakes)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This is an extension of Dist::Zilla::Plugin::InlineFiles, providing the
following file:

    xt/release/common_spelling.t - a standard Pod::Spell::CommonMistakes test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 366429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 08 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 82212
- update to 1.001000

* Fri Mar 18 2011 jquelin <jquelin> 1.0.1-1.mga1
+ Revision: 74133
- imported package perl-Dist-Zilla-Plugin-SpellingCommonMistakesTests

